Server Actions
factures
6 Server Actions du domaine factures, générées depuis le registre de l’API agent.
factures__createDraft
Sans argument.
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "factures__createDraft",
"args": []
}'factures__createDraftFromQuote
| Argument | Type | Requis |
|---|---|---|
quoteId | string | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "factures__createDraftFromQuote",
"args": [
"<quoteId>"
]
}'factures__discardDraft
| Argument | Type | Requis |
|---|---|---|
id | string | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "factures__discardDraft",
"args": [
"<id>"
]
}'factures__issueDraft
| Argument | Type | Requis |
|---|---|---|
id | string | oui |
input | DraftInput | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "factures__issueDraft",
"args": [
"<id>",
"<input>"
]
}'factures__refreshEinvoiceStatuses
Sans argument.
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "factures__refreshEinvoiceStatuses",
"args": []
}'factures__saveDraft
| Argument | Type | Requis |
|---|---|---|
id | string | oui |
input | DraftInput | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "factures__saveDraft",
"args": [
"<id>",
"<input>"
]
}'